Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## baseCode.math
Class MatrixStats

    java.lang.Object
      baseCode.math.MatrixStats

public class MatrixStats
extends java.lang.Object

Copyright (c) 2004 Columbia University

Version:
  $Id: MatrixStats.java,v 1.10 2004/08/17 21:17:40 pavlidis Exp $
Author:
  pavlidis

Constructor Summary
`MatrixStats()`

Method Summary
`static DenseDoubleMatrix2DNamed` | `correlationMatrix(AbstractNamedDoubleMatrix data)`
`static SparseDoubleMatrix2DNamed` | `correlationMatrix(AbstractNamedDoubleMatrix data, double threshold)`
`static void` | `countsNormalize(AbstractNamedDoubleMatrix matrixToNormalize, double sigma)` Normalize a count matrix in place to be a transition matrix.
`static double` | `max(AbstractNamedDoubleMatrix matrix)` Compute the maximum value in the matrix.
`static double` | `min(AbstractNamedDoubleMatrix matrix)` Find the minimum of the entire matrix.
`static void` | `rbfNormalize(AbstractNamedDoubleMatrix matrixToNormalize, double sigma)` Normalize a matrix in place to be a transition matrix.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MatrixStats

    public MatrixStats()

Method Detail

### correlationMatrix

    public static DenseDoubleMatrix2DNamed correlationMatrix(AbstractNamedDoubleMatrix data)

  Parameters:
    `data` - DenseDoubleMatrix2DNamed
  Returns:
    DenseDoubleMatrix2DNamed

### correlationMatrix

    public static SparseDoubleMatrix2DNamed correlationMatrix(AbstractNamedDoubleMatrix data,
                                                              double threshold)

  Parameters:
    `data` - DenseDoubleMatrix2DNamed
    `threshold` - only correlations with absolute values above this level are stored.
  Returns:
    SparseDoubleMatrix2DNamed

### min

    public static double min(AbstractNamedDoubleMatrix matrix)

  Find the minimum of the entire matrix.

  Parameters:
    `matrix` - DenseDoubleMatrix2DNamed
  Returns:
    the smallest value in the matrix

### max

    public static double max(AbstractNamedDoubleMatrix matrix)

  Compute the maximum value in the matrix.

  Parameters:
    `matrix` - DenseDoubleMatrix2DNamed
  Returns:
    the largest value in the matrix

### rbfNormalize

    public static void rbfNormalize(AbstractNamedDoubleMatrix matrixToNormalize,
                                    double sigma)

  Normalize a matrix in place to be a transition matrix. Assumes that values operate such that small values like p values represent closer distances, and the values are probabilities.

  Each point is first transformed via v' = exp(-v/sigma). Then the values for each node's edges are adjusted to sum to 1.

  Parameters:
    `matrixToNormalize` -
    `sigma` - a scaling factor for the input values.

### countsNormalize

    public static void countsNormalize(AbstractNamedDoubleMatrix matrixToNormalize,
                                       double sigma)

  Normalize a count matrix in place to be a transition matrix. Assumes that the values are defined as "bigger is better"

  Parameters:
    `matrixToNormalize` -
    `sigma` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2005 Columbia University. All Rights Reserved.